# TensorKiko

A fast and intuitive tool for visualizing and analyzing model structures from safetensors files, supporting tree-based visualizations and detailed parameter analysis.

## Installation

### Using pip

```
pip install tensorkiko
```

### Using Homebrew

```
brew tap takara-ai/tensorkiko https://github.com/takara-ai/TensorKiko
brew install tensorkiko
```

## Usage

After installation, you can use TensorKiko from the command line:

```
tensorkiko path/to/your/model.safetensors
```

For more options, use:

```
tensorkiko --help
```

## Features

- Load and process safetensors files
- Generate interactive HTML visualizations of model structures
- Analyze model parameters, memory usage, and estimated FLOPs
- Search functionality for easy navigation of large models

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the MIT License.
